import { DiscountType } from '@colijnit/transactionapi/build/enum/discount-type.enum';
import { ArticleFullObject } from '@colijnit/transactionapi/build/model/article-full-object';
import { CashRegister } from '@colijnit/transactionapi/build/model/cash-register';
import { CashOnDeliveryData } from '@colijnit/transactionapi/build/model/cash-on-delivery-data';
import { ChangeHeaderCashOnDeliveryAmountRequest } from '@colijnit/transactionapi/build/model/change-header-cash-on-delivery-amount-request';
import { CodeDescription } from '@colijnit/transactionapi/build/model/code-description';
import { Country } from '@colijnit/transactionapi/build/model/country.bo';
import { CustomerGroup } from '@colijnit/transactionapi/build/model/customer-group.bo';
import { DeliveryMethod } from '@colijnit/transactionapi/build/model/delivery-method.bo';
import { DeliveryOption } from '@colijnit/transactionapi/build/model/delivery-option.bo';
import { Marketing } from '@colijnit/transactionapi/build/model/marketing.bo';
import { OnHoldCode } from '@colijnit/transactionapi/build/model/on-hold-code.bo';
import { PriceList } from '@colijnit/transactionapi/build/model/price-list';
import { TransactionArticleWarehouse } from '@colijnit/transactionapi/build/model/transaction-article-warehouse.bo';
import { TransactionInfoResponse } from '@colijnit/transactionapi/build/model/transaction-info-response.bo';
import { TransactionLineInfo } from '@colijnit/transactionapi/build/model/transaction-line-info.bo';
import { ValidationResult } from '@colijnit/ioneconnector/build/model/validation-result';
import { Vat } from '@colijnit/transactionapi/build/model/vat';
import { Warehouse } from '@colijnit/transactionapi/build/model/warehouse.bo';
import { StandardText } from '../model/standard-text';
import { PendingReasonService } from './pending-reason.service';
import { ReceiveGoodsForPurchaseOrderRequest } from '@colijnit/transactionapi/build/model/receive-goods-for-purchase-order-request.bo';
import { ReceiveGoodsForPurchaseOrderCorrectionRequest } from '@colijnit/transactionapi/build/model/receive-goods-for-purchase-order-correction-request.bo';
import { ArticleExtendedRequest } from '@colijnit/articleapi/build/model/article-extended-request';
import { ArticleLight } from '@colijnit/articleapi/build/model/article-light.bo';
import { TurnoverGroupImage } from '@colijnit/articleapi/build/model/turnover-group-image.bo';
import { MainArticle } from '@colijnit/articleapi/build/model/main-article.bo';
import { PurchasePortalLine } from '@colijnit/transactionapi/build/model/purchase-portal-line.bo';
import { GetPurchaseOrderConfirmation } from '@colijnit/transactionapi/build/model/get-purchase-order-confirmation';
import { Tag } from '@colijnit/mainapi/build/model/tag';
import { CoDomainValue } from '@colijnit/mainapi/build/model/co-domain-value.bo';
import { RelationPrivacySetting } from '@colijnit/relationapi/build/model/relation-privacy-setting.bo';
import { SalesPerson } from '@colijnit/relationapi/build/model/sales-person.bo';
import { AvailableStock } from '@colijnit/transactionapi/build/model/available-stock.bo';
import { AllocateGoodsForSalesOrderRequest } from '@colijnit/transactionapi/build/model/allocate-goods-for-sales-order-request';
import { AllocateGoodsForSalesOrderCorrectionRequest } from '@colijnit/transactionapi/build/model/allocate-goods-for-sales-order-correction-request';
import { ReportLayoutSelectionEmail } from '@colijnit/mainapi/build/model/report-layout-selection-email.bo';
import { ReportLayoutSelectionPrint } from '@colijnit/mainapi/build/model/report-layout-selection-print.bo';
import { CreateSalesOrderRequest } from '@colijnit/transactionapi/build/model/create-sales-order-request';
import { CreateCashRegisterOrderRequest } from '@colijnit/transactionapi/build/model/create-cash-register-order-request';
import { CreatePurchaseOrderRequest } from '@colijnit/transactionapi/build/model/create-purchase-order-request';
import { CreateServiceOrderRequest } from '@colijnit/transactionapi/build/model/create-service-order-request';
import { CreateSalesQuotationRequest } from '@colijnit/transactionapi/build/model/create-sales-quotation-request';
import { TransactionKind } from '@colijnit/transactionapi/build/enum/transaction-kind.enum';
import { RelationKind } from '@colijnit/articleapi/build/enum/relation-kind.enum';
import { PurchaseAdviceLine } from '@colijnit/transactionapi/build/model/purchase-advice-line.bo';
import { PurchaseAdviceFilters } from '@colijnit/transactionapi/build/model/purchase-advice-filters';
import { EmailDeliveryNoteRequest } from '@colijnit/transactionapi/build/model/email-delivery-note-request';
import { PdfDeliveryNoteRequest } from '@colijnit/transactionapi/build/model/pdf-delivery-note-request';
import { PrintDeliveryNoteRequest } from '@colijnit/transactionapi/build/model/print-delivery-note-request';
import { PrintDeliveryNotesRequest } from '@colijnit/transactionapi/build/model/print-delivery-notes-request';
import { TransactionTypeCategory } from '../enum/transaction-type-category.enum';
import { EmailInvoiceRequest } from '@colijnit/transactionapi/build/model/email-invoice-request';
import { PdfInvoiceRequest } from '@colijnit/transactionapi/build/model/pdf-invoice-request';
import { PrintInvoiceRequest } from '@colijnit/transactionapi/build/model/print-invoice-request';
import { TagTreeItem } from '@colijnit/mainapi/build/model/tag-tree-item.bo';
import { GoodsReceiptHistory } from '@colijnit/transactionapi/build/model/goods-receipt-history.bo';
import { GoodsAllocationHistory } from '@colijnit/transactionapi/build/model/goods-allocation-history.bo';
import { TransactionInfoHistory } from '@colijnit/transactionapi/build/model/transaction-info-history.bo';
import { LayoutCode } from '@colijnit/transactionapi/build/enum/layout-code.enum';
import { HistoricReport } from '@colijnit/transactionapi/build/model/historic-report.bo';
import { Printer } from '@colijnit/mainapi/build/model/printer.bo';
import { Currency } from '@colijnit/mainapi/build/model/currency.bo';
import { PaymentCondition } from '@colijnit/mainapi/build/model/payment-condition.bo';
import { GoodsToBePickedForOrderRequest } from '@colijnit/transactionapi/build/model/goods-to-be-picked-for-order-request';
import { WarehouseStockInfo } from '@colijnit/transactionapi/build/model/warehouse-stock-info.bo';
import { GoodsToBePickedHistory } from '@colijnit/transactionapi/build/model/goods-to-be-picked-history';
import { GoodsPickedHistory } from '@colijnit/transactionapi/build/model/goods-picked-history';
import { PurchaseHistory } from '@colijnit/transactionapi/build/model/purchase-history';
import { PdfHistoricDeliveryNoteRequest } from '@colijnit/transactionapi/build/model/pdf-historic-delivery-note-request';
import { EmailHistoricDeliveryNoteRequest } from '@colijnit/transactionapi/build/model/email-historic-delivery-note-request';
import { PrintHistoricDeliveryNoteRequest } from '@colijnit/transactionapi/build/model/print-historic-delivery-note-request';
import { BatchTransactionSendingRequest } from '@colijnit/transactionapi/build/model/batch-transaction-sending-request';
import { BatchJobProgress } from '@colijnit/transactionapi/build/model/batch-job-progress.bo';
import { EmailHistoricOrderConfirmationRequest } from '@colijnit/transactionapi/build/model/email-historic-order-confirmation-request';
import { PdfHistoricInvoiceRequest } from '@colijnit/transactionapi/build/model/pdf-historic-invoice-request';
import { PrintHistoricInvoiceRequest } from '@colijnit/transactionapi/build/model/print-historic-invoice-request';
import { EmailHistoricInvoiceRequest } from '@colijnit/transactionapi/build/model/email-historic-invoice-request';
import { PrintOrderConfirmationRequest } from '@colijnit/transactionapi/build/model/print-order-confirmation-request';
import { PrintPurchaseOrderRequest } from '@colijnit/transactionapi/build/model/print-purchase-order-request';
import { PdfPurchaseOrderRequest } from '@colijnit/transactionapi/build/model/pdf-purchase-order-request';
import { PdfOrderConfirmationRequest } from '@colijnit/transactionapi/build/model/pdf-order-confirmation-request';
import { EmailOrderConfirmationRequest } from '@colijnit/transactionapi/build/model/email-order-confirmation-request';
import { EmailPurchaseOrderRequest } from '@colijnit/transactionapi/build/model/email-purchase-order-request';
import { ObjectConfiguration } from '@colijnit/ioneconnector/build/model/object-configuration';
import { CoDocument } from '@colijnit/mainapi/build/model/co-document.bo';
import { GoodsPickedRequest } from '@colijnit/transactionapi/build/model/goods-picked-request';
import { DeleteGoodsPickedForOrderRequest } from '@colijnit/transactionapi/build/model/delete-goods-picked-for-order-request';
import { DeleteGoodsToBePickedForOrderRequest } from '@colijnit/transactionapi/build/model/delete-goods-to-be-picked-for-order-request';
import { CashDrawersRequest } from '@colijnit/transactionapi/build/model/cash-drawers-request';
import { CashDrawer } from '@colijnit/transactionapi/build/model/cash-drawer.bo';
import { PrintPosReceiptRequest } from '@colijnit/transactionapi/build/model/print-pos-receipt-request';
import { PrintHistoricPosReceiptRequest } from '@colijnit/transactionapi/build/model/print-historic-pos-receipt-request';
import { EmailPosReceiptRequest } from '@colijnit/transactionapi/build/model/email-pos-receipt-request';
import { EmailHistoricPosReceiptRequest } from '@colijnit/transactionapi/build/model/email-historic-pos-receipt-request';
import { TagCategory } from '@colijnit/mainapi/build/enum/tab-category.enum';
import { EmailQuotationRequest } from '@colijnit/transactionapi/build/model/email-quotation-request';
import { EmailHistoricQuotationRequest } from '@colijnit/transactionapi/build/model/email-historic-quotation-request';
import { PdfQuotationRequest } from '@colijnit/transactionapi/build/model/pdf-quotation-request';
import { PdfHistoricQuotationRequest } from '@colijnit/transactionapi/build/model/pdf-historic-quotation-request';
import { PrintQuotationRequest } from '@colijnit/transactionapi/build/model/print-quotation-request';
import { PrintHistoricQuotationRequest } from '@colijnit/transactionapi/build/model/print-historic-quotation-request';
import { ChangeHeaderScoringChanceRequest } from '@colijnit/transactionapi/build/model/change-header-scoring-chance-request';
import { ChangeHeaderExpectedScoringDateRequest } from '@colijnit/transactionapi/build/model/change-header-expected-scoring-date-request';
import { ChangeHeaderRetailStadiumRequest } from '@colijnit/transactionapi/build/model/change-header-retail-stadium-request';
import { RetailStadium } from '@colijnit/transactionapi/build/model/retail-stadium.bo';
import { WorkFlowStatusName } from '@colijnit/transactionapi/build/model/workflow-status-name.bo';
import { ChangeLineQuantitySelectedLineRequest } from '@colijnit/transactionapi/build/model/change-line-quantity-selected-line-request';
import { ExternalCatalogAddArticleRequest } from '@colijnit/transactionapi/build/model/external-catalog-add-article-request';
import { OrderLineSetCategory } from '@colijnit/mainapi/build/model/order-line-set-category.bo';
import { OrderLineSetDTO } from '@colijnit/transactionapi/build/model/order-line-set-dto';
import { TransactionAddOrderLineSetTextLineRequest } from '@colijnit/transactionapi/build/model/transaction-add-order-line-set-text-line-request';
import { TransactionSearchViewRequest } from '@colijnit/transactionapi/build/model/transaction-search-view-request';
import { ArticleExtended } from '@colijnit/articleapi/build/model/article-extended.bo';
import { CauseCode } from '@colijnit/transactionapi/build/model/cause-code.bo';
import { PdfPosReceiptRequest } from '@colijnit/transactionapi/build/model/pdf-pos-receipt-request';
import { PdfPosReceiptResponse } from '@colijnit/transactionapi/build/model/pdf-pos-receipt-response.bo';
import { ProjectCode } from '@colijnit/transactionapi/build/model/project-code.bo';
import { CashType } from '@colijnit/transactionapi/build/model/cash-type.bo';
import { PosGroup } from '@colijnit/transactionapi/build/model/pos-group.bo';
import { PdfTransactionSearchOverviewResponse } from '@colijnit/transactionapi/build/model/pdf-transaction-search-overview-response';
import { PrintPurchaseOrderForSalesOrderRequest } from '@colijnit/transactionapi/build/model/print-purchase-order-for-sales-order-request';
import { Activity } from '@colijnit/mainapi/build/model/activity.bo';
import { TransactionMarginInfo } from '@colijnit/transactionapi/build/model/transaction-margin-info.bo';
import { DataServiceResponseData } from '@colijnit/ioneconnector/build/model/data-service-response-data';
import { OrderLinesPlannedRequest } from '@colijnit/transactionapi/build/model/order-lines-planned-request.bo';
import { PlanOrderLine } from '@colijnit/transactionapi/build/model/plan-order-line.bo';
import { PlanOrder } from '@colijnit/transactionapi/build/model/plan-order.bo';
import { SupplierArticleStockForecast } from '@colijnit/transactionapi/build/model/supplier-article-stock-forecast';
import { ServiceWizard } from '@colijnit/transactionapi/build/model/service-wizard';
import { ServiceType } from '@colijnit/transactionapi/build/model/service-type';
import { OrderReservationSalesOrderLinesRequest } from '@colijnit/transactionapi/build/model/order-reservation-sales-order-lines-request.bo';
import { PurchaseReservation } from '@colijnit/transactionapi/build/model/purchase-reservation.bo';
import { ProcessOrderReservationRequest } from '@colijnit/transactionapi/build/model/process-order-reservation-request.bo';
import { RelationSmallObject } from '@colijnit/mainapi/build/model/relation-small-object.bo';
import { TransactionLineSearchIndex } from '@colijnit/transactionapi/build/model/transaction-line-search-index.bo';
import { TransactionInfo } from '@colijnit/transactionapi/build/model/transaction-info.bo';
import { SLAProduct } from '@colijnit/transactionapi/build/model/SLA-product';
import { TransactionDeliveryCostLineInfo } from '@colijnit/transactionapi/build/model/transaction-delivery-cost-line-info.bo';
import { TransactionLineCopyRequest } from '@colijnit/transactionapi/build/model/transaction-line-copy-request.bo';
import { ReportingPdfBaseResponse } from '@colijnit/transactionapi/build/model/reporting-pdf-base-response.bo';
import { PlanTimes } from '@colijnit/transactionapi/build/model/plan-times.bo';
import { PackageLSP } from '@colijnit/transactionapi/build/model/package-lsp.bo';
import { SupplierProduct } from '@colijnit/transactionapi/build/model/supplier-product.bo';
import { GetDocsToSignForTransRequest } from '@colijnit/transactionapi/build/model/get-docs-to-sign-for-trans-request.bo';
import { ReportListObject } from '@colijnit/transactionapi/build/model/report-list-object';
import { PlannedResourceForTransactionLine } from '@colijnit/transactionapi/build/model/planned-resource-for-transaction-line.bo';
import { PrintPackageStickerRequest } from '@colijnit/transactionapi/build/model/print-package-sticker-request.bo';
import { PdfPackageStickerRequest } from '@colijnit/transactionapi/build/model/pdf-package-sticker-request.bo';
import { PurchaseInfo } from '@colijnit/transactionapi/build/model/purchase-info';
import { InternalDefault } from '@colijnit/mainapi/build/enum/internal-default.enum';
import { Voucher } from '@colijnit/transactionapi/build/model/voucher.bo';
import { UserRoleType } from '@colijnit/ioneconnector/build/enum/user-role-type.enum';
import { AddExpenseToCashRegisterOrderRequest } from '@colijnit/transactionapi/build/model/add-expense-to-cash-register-order-request';
import { AddReceiptToCashRegisterOrderRequest } from "@colijnit/transactionapi/build/model/add-receipt-to-cash-register-order-request";
import { GeneratePurchaseOrdersForDirectSellSalesOrdersRequest } from "@colijnit/transactionapi/build/model/generate-purchase-orders-for-direct-sell-sales-orders-request";
import { PrintServiceOrderRequest } from "@colijnit/transactionapi/build/model/print-service-order-request";
import { EmailServiceOrderRequest } from "@colijnit/transactionapi/build/model/email-service-order-request";
import { PdfServiceOrderRequest } from "@colijnit/transactionapi/build/model/pdf-service-order-request";
import { PrintHistoricServiceOrderRequest } from "@colijnit/transactionapi/build/model/print-historic-service-order-request";
import { EmailHistoricServiceOrderRequest } from "@colijnit/transactionapi/build/model/email-historic-service-order-request";
import { PdfHistoricServiceOrderRequest } from "@colijnit/transactionapi/build/model/pdf-historic-service-order-request";
import { GenerateAndSendPurchaseOrdersRequest } from "@colijnit/transactionapi/build/model/generate-and-send-purchase-orders-request";
export declare class TransactionService extends PendingReasonService {
    remainingAmount: number;
    private readonly _createTransactionMethods;
    private readonly _relationKindFromTransactionKind;
    private readonly _focusStatusIndex;
    private _restrictedUserRoles;
    set transForServiceFromSalesTransactionLine(value: TransactionInfoResponse);
    get transForServiceFromSalesTransactionLine(): TransactionInfoResponse;
    set loggedInUser(value: RelationSmallObject);
    get loggedInUser(): RelationSmallObject;
    set loggedInUserRole(value: UserRoleType);
    get loggedInUserRole(): UserRoleType;
    set lineNrForServiceFromSalesTransactionLine(value: number);
    get lineNrForServiceFromSalesTransactionLine(): number;
    private _boFactory;
    private _transForServiceFromSalesTransactionLine;
    private _lineNrForServiceFromSalesTransactionLine;
    private _loggedInUser;
    private _loggedInUserRole;
    logOut(): Promise<void>;
    getFocusStatusIndex(category: TransactionTypeCategory): number;
    getRelationKindFromTransactionKind(): RelationKind;
    showWarehouseLocationPopup(): Promise<string>;
    getCashOnDeliveryData(uuid: string): Promise<CashOnDeliveryData>;
    changeHeaderCashOnDeliveryAmount(request: ChangeHeaderCashOnDeliveryAmountRequest): Promise<void>;
    deleteTransaction(): Promise<void>;
    cancelCashRegisterOrder(): Promise<void>;
    updateHeaderTransactionDefinitive(uuid: string, definitive: boolean, saveTransaction: boolean): Promise<boolean>;
    updateHeaderDiscountOnOrderLine(uuid: string, discount: boolean, saveTransaction: boolean): Promise<boolean>;
    updateHeaderDeliveryAddress(uuid: string, newNawNr: number, saveTransaction?: boolean): Promise<boolean>;
    updateHeaderInvoiceAddress(uuid: string, newNawNr: number, saveTransaction?: boolean): Promise<boolean>;
    updateHeaderTransactionDeliveryDate(uuid: string, date: Date, saveTransaction: boolean): Promise<boolean>;
    updateHeaderTransactionDeliveryDateDefinitive(uuid: string, definitive: boolean, saveTransaction: boolean): Promise<boolean>;
    updateHeaderTransactionRemark(uuid: string, remark: string, saveTransaction: boolean): Promise<boolean>;
    updateHeaderTransactionReference(uuid: string, reference: string, saveTransaction: boolean): Promise<boolean>;
    updateHeaderTransactionRelationReference(uuid: string, reference: string, saveTransaction: boolean): Promise<boolean>;
    updateHeaderTransactionDepositAmount(uuid: string, amount: number, saveTransaction: boolean): Promise<boolean>;
    updateHeaderTransactionDepositPercentage(uuid: string, amount: number, saveTransaction: boolean): Promise<boolean>;
    updateHeaderTransactionPreferredDeliveryDate(uuid: string, date: Date, saveTransaction: boolean, option: string): Promise<boolean>;
    updateHeaderTransactionAssemblyDate(uuid: string, date: Date, saveTransaction: boolean, option: string): Promise<boolean>;
    updateHeaderTransactionDeliveryTime(uuid: string, time: Date, saveTransaction: boolean): Promise<boolean>;
    updateHeaderTransactionDeliveryMethod(uuid: string, method: string, saveTransaction: boolean): Promise<boolean>;
    updateHeaderTransactionDeliveryOptions(uuid: string, options: string[], saveTransaction: boolean): Promise<boolean>;
    updateHeaderTransactionPartialDelivery(uuid: string, allowPartial: boolean, saveTransaction: boolean): Promise<boolean>;
    updateHeaderTransactionBranch(uuid: string, branch: number, saveTransaction: boolean): Promise<boolean>;
    updateHeaderTransactionOnHoldCodes(uuid: string, codes: string[], saveTransaction: boolean): Promise<boolean>;
    updateHeaderTransactionDivideEvenly(uuid: string, divideEvenly: boolean, saveTransaction: boolean): Promise<boolean>;
    updateHeaderTransactionAutoRecalculateDeposit(uuid: string, autoRecalculateDeposit: boolean, saveTransaction: boolean): Promise<boolean>;
    updateHeaderTransactionUseDepositRule(uuid: string, useDepositRule: boolean, saveTransaction: boolean): Promise<boolean>;
    updateHeaderContactPerson(uuid: string, relationId: number, saveTransaction: boolean): Promise<boolean>;
    updateHeaderTransactionAmountToSettle(uuid: string, amountToSettle: number, saveTransaction: boolean): Promise<boolean>;
    updateHeaderTransactionPriceKind(uuid: string, priceKind: string, saveTransaction: boolean): Promise<boolean>;
    updateHeaderTransactionPriceList(uuid: string, PriceList: string, saveTransaction: boolean): Promise<boolean>;
    updateHeaderTransactionAdmCoordinator(uuid: string, relation: number, saveTransaction: boolean): Promise<boolean>;
    updateHeaderTransactionSalesPerson(uuid: string, relation: number, saveTransaction: boolean): Promise<boolean>;
    updateHeaderTransactionCurrency(uuid: string, currencyCode: string, saveTransaction: boolean): Promise<boolean>;
    changeHeaderTransactionType(uuid: string, transactionType: string, saveTransaction: boolean): Promise<boolean>;
    updateHeaderTransactionProjectCode(uuid: string, projectCode: number, saveTransaction: boolean): Promise<boolean>;
    updateHeaderTransactionPaymentCondition(uuid: string, condition: string, saveTransaction: boolean): Promise<boolean>;
    updateHeaderTransactionHanldedBy(uuid: string, handledBy: number, saveTransaction: boolean, lock?: boolean): Promise<boolean>;
    updateHeaderTransactionMarketing(uuid: string, code: string, saveTransaction: boolean): Promise<boolean>;
    updateHeaderTransactionDiscount(uuid: string, type: DiscountType, amount: number, saveTransaction: boolean): Promise<boolean>;
    updateHeaderTransactionScoringChance(request: ChangeHeaderScoringChanceRequest, saveTransaction: boolean): Promise<boolean>;
    updateHeaderTransactionExpectedScoringDate(request: ChangeHeaderExpectedScoringDateRequest, saveTransaction: boolean): Promise<boolean>;
    updateHeaderTransactionRetailStadium(request: ChangeHeaderRetailStadiumRequest, saveTransaction: boolean): Promise<boolean>;
    updateServiceHeaderReportMessage(message: string, saveTransaction: boolean): Promise<boolean>;
    updateServiceHeaderCauseCode(code: string, saveTransaction: boolean): Promise<boolean>;
    updateServiceHeaderServiceType(type: string, saveTransaction: boolean): Promise<boolean>;
    updateServiceHeaderWizardData(code: string, type: string, qa: string, saveTransaction: boolean): Promise<boolean>;
    updateServiceHeaderPriority(priority: number, saveTransaction: boolean): Promise<boolean>;
    updateServiceHeaderEntryType(entryType: string, saveTransaction: boolean): Promise<boolean>;
    addHeaderImage(image: CoDocument, saveTransaction: boolean): Promise<boolean>;
    deleteHeaderImage(image: CoDocument, saveTransaction: boolean): Promise<boolean>;
    updatePriceTransactionLine(uuid: string, lineUuid: string, price: number): Promise<boolean>;
    updatePurchasePriceTransactionLine(uuid: string, lineUuid: string, price: number): Promise<boolean>;
    updatePurchaseDescriptionTransactionLine(uuid: string, lineUuid: string, description: string): Promise<boolean>;
    updateReferenceTransactionLine(uuid: string, lineUuid: string, reference: string): Promise<boolean>;
    updateLineSupplierArticleNumber(uuid: string, lineUuid: string, artNr: string): Promise<boolean>;
    updateGoodDescriptionTransactionLine(uuid: string, lineUuid: string, goodDescription: string): Promise<boolean>;
    updateQuantitySelectedForAllLines(transactionInfo: TransactionInfo, transactionLines: TransactionLineInfo[], deliveryCostLines: TransactionDeliveryCostLineInfo[], selected: boolean): Promise<void>;
    updateQuantitySelectedTransactionLine(uuid: string, lines: ChangeLineQuantitySelectedLineRequest[], saveTransaction?: boolean, rememberTransaction?: boolean): Promise<boolean>;
    updateQuantitySelectNone(uuid: string, saveTransaction?: boolean, rememberTransaction?: boolean): Promise<boolean>;
    updateDeliveryDateTransactionLine(uuid: string, lineUuid: string, date: Date): Promise<boolean>;
    updatePriceListTransactionLine(uuid: string, lineUuid: string, priceList: string): Promise<boolean>;
    updateVatTransactionLine(uuid: string, lineUuid: string, id: number): Promise<boolean>;
    updateCommissionCodeTransactionLine(uuid: string, lineUuid: string, code: string): Promise<boolean>;
    updateDirectSellTransactionLine(transactionUuid: string, lineUuid: string, newDirectSell: boolean, newSupplierId: number, newPurchaseOrderNumber: string, newStockForecastDeliveryDate: Date): Promise<boolean>;
    updateSupplierTransactionLine(uuid: string, lineUuid: string, id: number): Promise<boolean>;
    updateWarehouseTransactionLine(uuid: string, lineUuid: string, warehouseNumber: number, saveTransaction?: boolean): Promise<boolean>;
    updateTransactionLineInterBranchSourceWarehouse(uuid: string, lineUuid: string, interBranchSourceWarehouseNr: number, saveTransaction?: boolean): Promise<boolean>;
    changeLineWarehouseAndSetInterBranchSourceWarehouse(uuid: string, lineUuid: string, warehouse: number, sourceWarehouse: number): Promise<boolean>;
    changeLineWarehouseAndClearInterBranchSourceWarehouse(uuid: string, lineUuid: string): Promise<boolean>;
    updateDeliveryMethodTransactionLine(uuid: string, lineUuid: string, method: string): Promise<boolean>;
    updateDiscountTransactionLine(uuid: string, lineUuid: string, type: DiscountType, discount: number, reason?: string, code?: string): Promise<boolean>;
    updateDropShipmentTransactionLine(uuid: string, lineUuid: string, newDropShipment: boolean): Promise<boolean>;
    generateCommissionOrders(transId: number, onlyGenerateForDirectSellSuppliers: boolean): Promise<boolean>;
    saveRelation(commitTransaction?: boolean, alsoInitialiseTransAndAdd?: boolean): Promise<boolean>;
    getSequenceValue(): Promise<number>;
    getRelationPrivacySettings(): Promise<RelationPrivacySetting[]>;
    getArticleBoundTextLinesOfArticleLine(articleLineUuid: string): Promise<TransactionLineInfo[]>;
    createSalesOrder(request: CreateSalesOrderRequest): Promise<boolean>;
    createCashRegisterOrder(request: CreateCashRegisterOrderRequest, saveTransaction?: boolean): Promise<boolean>;
    createPurchaseOrder(request: CreatePurchaseOrderRequest): Promise<boolean>;
    createServiceOrder(request: CreateServiceOrderRequest): Promise<boolean>;
    createRegularServiceOrder(request: CreateServiceOrderRequest): Promise<boolean>;
    copyTransactionLine(request: TransactionLineCopyRequest): Promise<boolean>;
    createServiceOrderWithSourceTransactionLineRequest(): Promise<boolean>;
    createSalesQuotation(request: CreateSalesQuotationRequest): Promise<boolean>;
    addRelationToTransaction(relationId: number): Promise<boolean>;
    getCommissionCodes(languageCode: string): Promise<CoDomainValue[]>;
    getYesNo(languageCode: string): Promise<CoDomainValue[]>;
    getPriceKind(languageCode: string): Promise<CoDomainValue[]>;
    getPriority(languageCode: string): Promise<CoDomainValue[]>;
    getEntryTypes(languageCode: string): Promise<CoDomainValue[]>;
    getDomainTypes(languageCode: string): Promise<CoDomainValue[]>;
    getCauseCodes(): Promise<CauseCode[]>;
    getInOutCollection(languageCode: string): Promise<CoDomainValue[]>;
    getSLATypes(languageCode: string): Promise<CoDomainValue[]>;
    getTurnoverGroups(): Promise<TurnoverGroupImage[]>;
    getTransactionArticleWarehouses(goodId: number): Promise<TransactionArticleWarehouse[]>;
    getMarketingCodes(): Promise<Marketing[]>;
    getArticles(request: ArticleExtendedRequest): Promise<ArticleLight[]>;
    getArticleListWithBarcodeArticleNrEanCode(search: string): Promise<ArticleLight[]>;
    getMainArticles(): Promise<MainArticle[]>;
    getDeliveryMethods(): Promise<DeliveryMethod[]>;
    getDeliveryOptions(): Promise<DeliveryOption[]>;
    getSalesPersons(date?: Date): Promise<SalesPerson[]>;
    getRetailStadiums(): Promise<RetailStadium[]>;
    addWebSessionTransactionLine(transactionUuid: string, articleNumber: string, quantity: number): Promise<void>;
    getArticleExtended(articleNr: string): Promise<ArticleExtended>;
    addArticle(articleNo: string, quantity?: number, aboveLineNr?: number, belowLineNr?: number, saveTransaction?: boolean, showLoader?: boolean): Promise<boolean>;
    addTransactionLine(articleNo: string, quantity?: number, aboveLineNr?: number, belowLineNr?: number, showLoader?: boolean): Promise<TransactionInfoResponse>;
    addCatFarmArticle(catalogId: number, jsonArticleString: string): Promise<void>;
    addExternalCatalogArticle(request: ExternalCatalogAddArticleRequest, showLoader?: boolean): Promise<void>;
    addExternalCatalogArticleFromGoodId(jsonArticleString: string, showLoader?: boolean): Promise<void>;
    addExternalCatalogArticleWithRawData(catalogId: number, jsonArticleString: string, showLoader?: boolean): Promise<void>;
    addExpenseToCashRegisterOrder(request: AddExpenseToCashRegisterOrderRequest): Promise<void>;
    addReceiptToCashRegisterOrder(request: AddReceiptToCashRegisterOrderRequest): Promise<void>;
    addTextLine(showOnDocuments: number, text: string, amount: number, articleBound: boolean, refArticleLineNr: number, aboveLineNr?: number, belowLineNr?: number): Promise<boolean>;
    updateTextLine(uuid: string, lineUuid: string, showOnDocuments: number, text: string): Promise<boolean>;
    changeLineSequence(lineUuid: string, aboveLineNr?: number, belowLineNr?: number): Promise<boolean>;
    deleteTransactionLine(transactionLineUuid: string): Promise<boolean>;
    changeTransactionLineQuantity(transactionUuid: string, lineUuid: string, newQuantity: number): Promise<boolean>;
    changeTransactionLineAssemblyTime(uuid: string, lineUuid: string, time: number): Promise<TransactionInfoResponse>;
    getGoodsReceiptHistory(transId: number, lineNr: number): Promise<GoodsReceiptHistory>;
    receiveGoodsForPurchaseOrder(transactionId: number, version: number, request: ReceiveGoodsForPurchaseOrderRequest): Promise<boolean>;
    receiveGoodsForPurchaseOrderCorrection(transactionId: number, version: number, request: ReceiveGoodsForPurchaseOrderCorrectionRequest): Promise<boolean>;
    printPackageSticker(printRequest: PrintPackageStickerRequest): Promise<void>;
    pdfPackageSticker(pdfRequest: PdfPackageStickerRequest): Promise<void>;
    allocateGoodsForSalesOrder(transactionId: number, version: number, request: AllocateGoodsForSalesOrderRequest): Promise<boolean>;
    allocateGoodsForSalesOrderCorrection(transactionId: number, version: number, request: AllocateGoodsForSalesOrderCorrectionRequest): Promise<boolean>;
    setGoodsToBePickedForSalesOrder(transactionId: number, version: number, request: GoodsToBePickedForOrderRequest): Promise<boolean>;
    setGoodsPickedForOrder(transactionId: number, version: number, request: GoodsPickedRequest): Promise<boolean>;
    deleteGoodsPicked(transactionId: number, version: number, deleteGoodsPickedForOrderRequest: DeleteGoodsPickedForOrderRequest): Promise<boolean>;
    deleteGoodsToBePicked(transactionId: number, version: number, deleteGoodsToBePickedForOrderRequest: DeleteGoodsToBePickedForOrderRequest): Promise<boolean>;
    purchaseOrderConfirmation(transactionId: number, version: number, purchaseOrderConfirmation: GetPurchaseOrderConfirmation, analysisId: number, selectedLines: TransactionLineInfo[]): Promise<boolean>;
    updatePurchasePortalLines(transactionId: number, version: number, purchasePortalLine: PurchasePortalLine): Promise<boolean>;
    getTextTypes(languageCode: string): Promise<CoDomainValue[]>;
    getStandardTexts(languageCode: string): Promise<StandardText[]>;
    getArticleFullObject(goodId: number): Promise<ArticleFullObject>;
    getGoodIdFromArticleNr(sku: string): Promise<number>;
    getCountry(countryCode: string): Promise<Country>;
    getCashRegisters(branch?: string, group?: number): Promise<CashRegister[]>;
    getCashDrawers(cashDrawersRequest: CashDrawersRequest): Promise<CashDrawer[]>;
    getPriceLists(): Promise<PriceList[]>;
    getVatLists(): Promise<Vat[]>;
    getTransVatCodes(type: string, date: Date): Promise<Vat[]>;
    getTags(category: number): Promise<Tag[]>;
    getOnHoldCodes(): Promise<OnHoldCode[]>;
    getWarehouses(): Promise<Warehouse[]>;
    getWarehouseStockInfoByGoodAndBranch(goodId: number, transactionInfo?: TransactionInfo): Promise<WarehouseStockInfo[]>;
    getMaxConfirmedDeliveryDateForPurchaseOrder(transId: number): Promise<Date>;
    getHistoricStateValues(): Promise<CodeDescription[]>;
    getCustomerGroups(): Promise<CustomerGroup[]>;
    getWorkFlowStatusNames(transactionKind: TransactionKind): Promise<WorkFlowStatusName[]>;
    lockPurchasePortalLines(transIdPurchase: number, lineId: number): Promise<boolean>;
    getAvailableStockGroupedByWLBSByTransIdLineNr(transId: number, lineNr: number): Promise<AvailableStock[]>;
    getAvailableStockForSupplier(goodId: number, supplierRelationId: number): Promise<SupplierArticleStockForecast>;
    getGoodsAllocationHistory(transId: number, lineNr: number): Promise<GoodsAllocationHistory>;
    getGoodsToBePickedHistory(transId: number, lineNr: number): Promise<GoodsToBePickedHistory>;
    getGoodsPickedHistory(transId: number, lineNr: number): Promise<GoodsPickedHistory>;
    getLinePurchaseHistory(transId: number, lineNr: number): Promise<PurchaseHistory>;
    getLinePurchaseInfo(transId: number, lineNr: number): Promise<PurchaseInfo[]>;
    getOrderConfirmationEmailLayouts(transactionUUID: string): Promise<ReportLayoutSelectionEmail[]>;
    getOrderConfirmationPrintLayouts(transactionUUID: string): Promise<ReportLayoutSelectionPrint[]>;
    getOrderConfirmationDefaultSendMethod(relationId: number): Promise<number>;
    getDefaultEmailAddressListForOrderConfirmation(transactionUUID: any): Promise<string[]>;
    printOrderConfirmation(request: PrintOrderConfirmationRequest): Promise<CoDocument | boolean>;
    printHistoricOrderConfirmation(request: PrintHistoricDeliveryNoteRequest): Promise<void>;
    startOrderConfirmationBatch(request: BatchTransactionSendingRequest): Promise<void>;
    startPurchaseOrderFormBatch(request: BatchTransactionSendingRequest): Promise<void>;
    startToAllocateUnAllocatedLinesBatch(transIds: number[]): Promise<void>;
    startGoodsToBePickedBatch(request: BatchTransactionSendingRequest): Promise<void>;
    startGoodsPickedBatch(transIds: number[]): Promise<void>;
    startDeliveryNotesBatch(request: BatchTransactionSendingRequest): Promise<void>;
    startInvoiceBatch(request: BatchTransactionSendingRequest): Promise<void>;
    getBatchJobProgressesForTheUser(): Promise<BatchJobProgress[]>;
    deleteBatchJob(batchJobProgressId: number): Promise<void>;
    retryBatchJob(batchJobProgressId: number): Promise<void>;
    emailOrderConfirmation(request: EmailOrderConfirmationRequest): Promise<CoDocument | boolean>;
    emailHistoricOrderConfirmation(request: EmailHistoricOrderConfirmationRequest): Promise<void>;
    pdfOrderConfirmation(request: PdfOrderConfirmationRequest): Promise<CoDocument | boolean>;
    previewOrderConfirmation(request: PdfOrderConfirmationRequest): Promise<ReportingPdfBaseResponse>;
    pdfHistoricOrderConfirmation(request: PdfHistoricDeliveryNoteRequest): Promise<void>;
    printPurchaseOrder(request: PrintPurchaseOrderRequest): Promise<void>;
    emailPurchaseOrder(request: EmailPurchaseOrderRequest): Promise<void>;
    pdfPurchaseOrder(request: PdfPurchaseOrderRequest): Promise<void>;
    generateWebServiceOrder(transactionId: number): Promise<boolean>;
    canPurchaseOrderBeSendByWebservice(transactionId: number): Promise<boolean>;
    getPurchaseOrderEmailLayouts(transactionUUID: string): Promise<ReportLayoutSelectionEmail[]>;
    getPurchaseOrderPrintLayouts(transactionUUID: string): Promise<ReportLayoutSelectionPrint[]>;
    getPurchaseOrderDefaultSendMethod(relationId: number): Promise<number>;
    isPrintIsDefaultSendMethodForPurchaseOrder(transactionId: number): Promise<boolean>;
    generateAndSendPurchaseOrdersForSalesOrder(request: PrintPurchaseOrderForSalesOrderRequest, version: number): Promise<Object | boolean>;
    generateAndSendPurchaseOrdersForDirectSellSalesOrder(request: GeneratePurchaseOrdersForDirectSellSalesOrdersRequest, version: number): Promise<boolean>;
    getPurchaseAdviceLines(filters: PurchaseAdviceFilters, goodId?: number, showLoader?: boolean): Promise<PurchaseAdviceLine[]>;
    generateAndSendPurchaseOrders(purchaseAdviceLines: GenerateAndSendPurchaseOrdersRequest): Promise<boolean>;
    emailDeliveryNote(emailDeliveryNoteRequest: EmailDeliveryNoteRequest): Promise<CoDocument | boolean>;
    emailHistoricDeliveryNote(emailHistoricDeliveryNoteRequest: EmailHistoricDeliveryNoteRequest): Promise<boolean>;
    pdfDeliveryNote(pdfDeliveryNoteRequest: PdfDeliveryNoteRequest): Promise<boolean>;
    pdfHistoricDeliveryNote(pdfHistoricDeliveryNoteRequest: PdfHistoricDeliveryNoteRequest): Promise<boolean>;
    printDeliveryNote(printDeliveryNoteRequest: PrintDeliveryNoteRequest): Promise<CoDocument | boolean>;
    printDeliveryNotes(printDeliveryNotesRequest: PrintDeliveryNotesRequest): Promise<CoDocument | boolean>;
    printHistoricDeliveryNote(printHistoricDeliveryNoteRequest: PrintHistoricDeliveryNoteRequest): Promise<boolean>;
    getDeliveryNoteDefaultSendMethod(relationId: number): Promise<number>;
    getDeliveryNoteEmailLayouts(transactionUUID: string): Promise<ReportLayoutSelectionEmail[]>;
    getDeliveryNotePrintLayouts(transactionUUID: string): Promise<ReportLayoutSelectionPrint[]>;
    getDefaultEmailAddressListForInvoice(transactionUUID: any): Promise<string[]>;
    emailInvoice(emailInvoiceRequest: EmailInvoiceRequest): Promise<CoDocument | boolean>;
    emailHistoricInvoice(emailHistoricInvoiceRequest: EmailHistoricInvoiceRequest): Promise<boolean>;
    pdfInvoice(pdfInvoiceRequest: PdfInvoiceRequest): Promise<boolean>;
    pdfHistoricInvoice(pdfHistoricInvoiceRequest: PdfHistoricInvoiceRequest): Promise<boolean>;
    printInvoice(printInvoiceRequest: PrintInvoiceRequest): Promise<CoDocument | boolean>;
    printHistoricInvoice(printHistoricInvoiceRequest: PrintHistoricInvoiceRequest): Promise<boolean>;
    getInvoiceDefaultSendMethod(relationId: number): Promise<number>;
    pdfPosReceipt(pdfPosReceiptRequest: PdfPosReceiptRequest): Promise<PdfPosReceiptResponse>;
    printPosReceipt(printPosReceiptRequest: PrintPosReceiptRequest): Promise<boolean>;
    printHistoricPosReceipt(printHistoricPosReceiptRequest: PrintHistoricPosReceiptRequest): Promise<boolean>;
    emailPosReceipt(emailPosReceiptRequest: EmailPosReceiptRequest): Promise<boolean>;
    emailHistoricPosReceipt(emailHistoricPosReceiptRequest: EmailHistoricPosReceiptRequest): Promise<boolean>;
    getPosReceiptEmailLayouts(transactionUUID: string): Promise<ReportLayoutSelectionEmail[]>;
    getPosReceiptPrintLayouts(transactionUUID: string): Promise<ReportLayoutSelectionPrint[]>;
    getDefaultEmailAddressListForPosReceipt(transactionUUID: string): Promise<string[]>;
    getInvoiceEmailLayouts(transactionUUID: string): Promise<ReportLayoutSelectionEmail[]>;
    getInvoicePrintLayouts(transactionUUID: string): Promise<ReportLayoutSelectionPrint[]>;
    getQuotationDefaultSendMethod(relationId: number): Promise<number>;
    emailQuotation(emailQuotationRequest: EmailQuotationRequest): Promise<CoDocument | boolean>;
    emailHistoricQuotation(emailHistoricQuotationRequest: EmailHistoricQuotationRequest): Promise<boolean>;
    pdfQuotation(pdfQuotationRequest: PdfQuotationRequest): Promise<boolean>;
    pdfHistoricQuotation(pdfHistoricQuotationRequest: PdfHistoricQuotationRequest): Promise<boolean>;
    printQuotation(printQuotationRequest: PrintQuotationRequest): Promise<CoDocument | boolean>;
    printHistoricQuotation(printHistoricQuotationRequest: PrintHistoricQuotationRequest): Promise<boolean>;
    getQuotationEmailLayouts(transactionUUID: string): Promise<ReportLayoutSelectionEmail[]>;
    getQuotationPrintLayouts(transactionUUID: string): Promise<ReportLayoutSelectionPrint[]>;
    getDefaultEmailAddressListForQuotation(transactionUUID: string): Promise<string[]>;
    getPackageStickerPrintLayouts(): Promise<ReportLayoutSelectionPrint[]>;
    getDocsToSignForTrans(request: GetDocsToSignForTransRequest): Promise<ReportListObject[]>;
    getPrinters(): Promise<Printer[]>;
    getDefaultPrinter(reportId: number, type: string): Promise<string>;
    getPackageInformation(transactionUUID: string, lineUUID: string): Promise<PackageLSP[]>;
    getCashTypes(type: string): Promise<CashType[]>;
    getPosGroups(): Promise<PosGroup[]>;
    getCurrencies(active?: boolean): Promise<Currency[]>;
    getProjectCodes(date: Date): Promise<ProjectCode[]>;
    getAllProjectCodes(): Promise<ProjectCode[]>;
    addProjectCode(projectCode: ProjectCode): Promise<ProjectCode>;
    getPaymentConditions(name?: string): Promise<PaymentCondition[]>;
    getOrderLineSetCategories(): Promise<OrderLineSetCategory[]>;
    getServiceWizard(): Promise<ServiceWizard>;
    upsertServiceWizard(request: ServiceWizard): Promise<void>;
    getServiceTypes(): Promise<ServiceType[]>;
    addOrderLineSet(request: TransactionAddOrderLineSetTextLineRequest): Promise<boolean>;
    updateOrderLineSet(request: OrderLineSetDTO): Promise<boolean>;
    changeTransactionLineOrderLineSet(uuid: string, lineUuid: string, code: string): Promise<boolean>;
    getJoinedTags(table: string, key: string): Promise<TagTreeItem[]>;
    mergeJoinedTags(table: string, key: string, tags: TagTreeItem[]): Promise<boolean>;
    getTagsFullTree(category: TagCategory, includeTags: boolean): Promise<TagTreeItem[]>;
    getInternalDefault(param: InternalDefault): Promise<string>;
    getObjectConfiguration(screenCfgModule: string, params?: string | string[], insertMode?: boolean): Promise<ObjectConfiguration[]>;
    getHistoricDocuments(transId: number, documentCode: LayoutCode): Promise<HistoricReport[]>;
    getReportHeadersByTransIdAndLayoutCode(transId: number, documentCode: LayoutCode): Promise<HistoricReport[]>;
    undoDeliveryByReportId(reportId: number): Promise<DataServiceResponseData>;
    getDefaultEmailAddressListForPurchaseOrder(uuid: string): Promise<string[]>;
    createReceivePurchaseOrderRequest(date: Date, packingSlipNr: string): ReceiveGoodsForPurchaseOrderRequest;
    handleReceiveSelectedPurchaseOrders(date: Date, packingSlipNr: string): Promise<boolean>;
    handleAllocateSelectedPurchaseOrders(): Promise<boolean>;
    handleSetSelectedLinesToBePicked(pickingDate: Date): Promise<void>;
    handleSetSelectedLinesToPick(): Promise<void>;
    getPurchaseOrderForTransactionLine(transId: number, lineNr: number): Promise<TransactionInfoHistory[]>;
    commitAndRefreshTransaction(): Promise<void>;
    checkBranch(): Promise<void>;
    getTransactionMarginInfo(transactionUUID: string): Promise<TransactionMarginInfo>;
    printSalesOrdersOverview(request: TransactionSearchViewRequest): Promise<PdfTransactionSearchOverviewResponse>;
    loadDocumentsOfTransaction(key: string): Promise<CoDocument[]>;
    loadDocumentContent(docId: number, thumbnail?: boolean): Promise<string>;
    mergeDocumentOnTransaction(key: string, document: CoDocument): Promise<CoDocument>;
    deleteDocument(documentId: number): Promise<ValidationResult>;
    getOrderLinesPlanned(request: OrderLinesPlannedRequest): Promise<PlanOrderLine[]>;
    getPlanOrder(transId: number): Promise<PlanOrder>;
    insertActivity(activity: Activity): Promise<ValidationResult>;
    updateActivity(activity: Activity): Promise<boolean>;
    deleteActivity(activity: Activity): Promise<boolean>;
    getActivitiesForTransaction(transactionId: number): Promise<Activity[]>;
    getHistoricActivities(transactionId: number): Promise<Activity[]>;
    getComponentActivitiesWithoutRelationFiltering(transactionId: number): Promise<Activity[]>;
    fireTrigger(workFlowProcessId: number, sequence: number, triggerId: number): Promise<ValidationResult>;
    fireGenericTrigger(workFlowProcessId: number, genericTransitionId: number, relationId: number): Promise<ValidationResult>;
    lockTask(id: number): Promise<boolean>;
    getLineIndicesByTransId(transId: number): Promise<TransactionLineSearchIndex[]>;
    convertCashRegisterOrderToSalesOrder(): Promise<void>;
    reprintCashRegisterReceipt(): Promise<void>;
    resetDataForServiceFromSalesTransactionLine(): void;
    getSalesOrderLines(request: OrderReservationSalesOrderLinesRequest): Promise<PurchaseReservation[]>;
    processReservation(request: ProcessOrderReservationRequest): Promise<boolean>;
    undoReservation(transId: number, lineId: number): Promise<boolean>;
    getSLACategories(): Promise<SLAProduct[]>;
    getSLAProducts(): Promise<SLAProduct[]>;
    getTermsAndConditionsForm(transId: number): Promise<void>;
    getTransactionPlanPeriods(transId: number): Promise<PlanTimes[]>;
    getSupplierProducts(transId: number): Promise<SupplierProduct[]>;
    getDeliveryDateForSupplierProduct(goodId: number, supplierId: number): Promise<Date>;
    getPlannedResourcesForTransactionLine(transId: number, lineNr: number): Promise<PlannedResourceForTransactionLine[]>;
    getVoucherInfo(voucherCode: string, toCurrencyCode?: string): Promise<Voucher>;
    getFirstConfirmedDeliveryDateForTransactionLine(transId: number, lineNr: number): Promise<Date>;
    getServiceOrderEmailLayouts(transactionUUID: string): Promise<ReportLayoutSelectionEmail[]>;
    getServiceOrderPrintLayouts(transactionUUID: string): Promise<ReportLayoutSelectionPrint[]>;
    getDefaultEmailAddressListForServiceOrder(transactionUUID: any): Promise<string[]>;
    printServiceOrder(request: PrintServiceOrderRequest): Promise<void>;
    printHistoricServiceOrder(request: PrintHistoricServiceOrderRequest): Promise<boolean>;
    emailServiceOrder(request: EmailServiceOrderRequest): Promise<void>;
    emailHistoricServiceOrder(request: EmailHistoricServiceOrderRequest): Promise<boolean>;
    pdfServiceOrder(request: PdfServiceOrderRequest): Promise<void>;
    pdfHistoricServiceOrder(request: PdfHistoricServiceOrderRequest): Promise<boolean>;
    getServiceOrderDefaultSendMethod(relationId: number): Promise<number>;
    getCashRegistersForCurrentUser(): Promise<CashRegister[]>;
    protected _handleBeforeRememberCurrentTransaction(transactionInfoResponse: TransactionInfoResponse): Promise<void>;
    protected _handleAfterRememberCurrentTransaction(): Promise<void>;
    private _checkAndSaveLinesForAIConfirmation;
    private _checkAndAddRelationTransaction;
    private _checkAndCreateTransaction;
}
